{% extends 'hkm/base_browse.html' %}
{% load i18n %}
{% load hkm_tags %}

{% block banner %}

  <div class="page-header bittersweet">
    <div class="fullsize-container">
      <div class="banner__title">
        {% if search_term %}
        <h1 class="banner__h1">{{ search_result.resultCount }} {% trans 'Records' %}</h1>
        {% else %}
        <h1 class="banner__h1">{% trans 'Search pictures' %}</h1>
        {% endif %}
      </div>
      <form class="search-form search-form--banner form-group">
        <div class="search-form__content input-group">
          <input class="search-form__field form-control" placeholder="{% trans 'Search' %}" type="text" name="search" {% if search_term %} value="{{ search_term }}"{% endif %} />
          <span class="search-form__btn-container input-group-btn">
            <button aria-label="{% trans 'Search' %}" class="search-form__btn btn btn-default" type="submit"><img src="/static/hkm/img/suurennuslasi.png" alt=""></img></button>
          </span>
        </div>
      </form>
    </div>
  </div>

{% endblock %}

{% block content %}

  <div class="fullsize-container">

    {% if search_result.records %}


    <div class="grid flex-images infinite-scroll" data-pages="{{ search_result.pages }}">
      {% include 'hkm/snippets/search_records_grid.html' %}
    </div>
    <button id="btn-load-more" class="btn-load-more btn btn-primary btn-lg btn-block" data-current-page="{{ current_page }}">{% trans 'Load more...' %}</button>


    {% else %}

      {% include 'hkm/snippets/no_results.html' %}

    {% endif %}

  </div> <!-- fullsize-container -->

{% endblock %}

{% block footer %}{% endblock %}

{% block extra_js %}
    {# Gives access to translated "no more results" text in js code #}
    <script>
        window.NO_MORE_SEARCH_RESULTS_TEXT = '{% trans 'No more results' %}';
    </script>
{% endblock %}
